Bug 110452 - Version/Release not handled in spec file when they are defined in a "%define" stmt
Version/Release not handled in spec file when they are defined in a "%define"...
Product: Red Hat Developer Suite
Classification: Retired
Component: RPM Plug-in (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
Depends On:
  Show dependency treegraph
Reported: 2003-11-19 12:10 EST by Rick Moseley
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 16:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2003-11-19 12:10:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Some spec files for RPMs define the version/release numbers in
"%define" statements at the top of the spec file and then the
"Version:/Release:" lines contain those variables instead of
hard-coding them.  The RPM plugin dos not handle those properly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Import an SRPM that has the vesion/release numbers in %define
statement (a2ps for example)
2. make a change to the source code and try to export it
3. look at the spec file and notice that now the Version:/Release:
lines have the numbers hard-coded instead of the variables changed

Additional info:
Comment 1 Rick Moseley 2004-04-05 16:03:12 EDT
This fix will be complicated and there are *very* few RPMs that have
their Version/Release numbers defined in variables in their spec
files.  We'll close this for now until there is *much* more demand for
it being fixed.

Note You need to log in before you can comment on or make changes to this bug.